Skip to main content
GET
/
cart
List Carts
curl --request GET \
  --url https://api.satsuma.ai/cart \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "user_id": "<string>",
      "merchant_id": "<string>",
      "location_id": "<string>",
      "items": [
        {
          "id": "<string>",
          "cart_id": "<string>",
          "product_id": "<string>",
          "product_name": "<string>",
          "quantity": 123,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "messages": [
    {
      "context": "<string>",
      "text": "<string>",
      "data": {}
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.satsuma.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authentication

Query Parameters

userId
string
required

User identifier who owns the cart api.cart.field.userId.description

merchantId
string
required

Merchant identifier for the cart api.cart.field.merchantId.description

page
integer<int32>
default:0

Page number (0-based) api.cart.field.page.description

Required range: x >= 0

Response

200 - application/json

OK

data
object[]
messages
object[]
total
integer<int64>